import { a3 as d, U as i, H as l, I as a, d6 as r, d7 as o, d8 as c, ah as u, aj as h, a4 as y, c1 as s, w as $, d9 as S } from "./56c67d3b.js";
import { CascaderPropertyView as F, CascaderChildren as f, defaultDataSource as m } from "./148baa10.js";
import "react";
import "react-dom";
const I = d(S)`
  width: 100%;
  font-family:"Montserrat";
  ${(t) => t.$style && {
  ...t.$style,
  "border-radius": t.$style.radius
}}
`, C = d.div`
 background-color: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.background;
}};
    border: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.border;
}};
    border-style: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.borderStyle;
}};
    border-width: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.borderWidth;
}};
    border-radius: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.radius;
}};
    rotate: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.rotation;
}};
    margin: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.margin;
}};
    padding: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.padding;
}};
    .ant-cascader-menu-item-content{
    font-size: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.textSize;
}};
    font-style: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.fontStyle;
}};
    font-family: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.fontFamily;
}};
    font-weight: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.textWeight;
}};
    text-transform: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.textTransform;
}};
    text-decoration: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.textDecoration;
}};
    color: ${(t) => {
  var e;
  return (e = t.$childrenInputFieldStyle) == null ? void 0 : e.text;
}};
    }
`;
let b = function() {
  const t = f;
  return new i(t, (e) => e.label({
    style: e.style,
    labelStyle: e.labelStyle,
    inputFieldStyle: e.inputFieldStyle,
    childrenInputFieldStyle: e.childrenInputFieldStyle,
    animationStyle: e.animationStyle,
    children: /* @__PURE__ */ l(I, {
      ref: e.viewRef,
      value: e.value.value,
      disabled: e.disabled,
      defaultValue: e.value.value,
      options: e.options,
      allowClear: e.allowClear,
      placeholder: e.placeholder,
      showSearch: e.showSearch,
      $style: e.inputFieldStyle,
      $childrenInputFieldStyle: e.childrenInputFieldStyle,
      onFocus: () => e.onEvent("focus"),
      onBlur: () => e.onEvent("blur"),
      dropdownRender: (n) => /* @__PURE__ */ l(C, {
        $childrenInputFieldStyle: e.childrenInputFieldStyle,
        children: n
      }),
      onChange: (n) => {
        e.value.onChange(n), e.onEvent("change");
      }
    })
  })).setPropertyViewFn((e) => /* @__PURE__ */ l(a, {
    children: /* @__PURE__ */ l(F, {
      ...e
    })
  })).setExposeMethodConfigs(r([o, c])).build();
}();
const g = u(b, [new h("value", y("selectInput.valueDesc")), ...s]), M = $(g, {
  options: m
});
export {
  M as CascaderWithDefault
};
